Index: /trunk/klask
===================================================================
--- /trunk/klask	(revision 275)
+++ /trunk/klask	(revision 276)
@@ -1835,5 +1835,5 @@
          }
 
-      my $search = $OID_NUMBER{'NApoeState'} . ".$switch_port"; # Only NEXANS Switch and low port number
+      my $search = $OID_NUMBER{'NApoeState'} . ".$switch_port"; # Only NEXANS switch and low port number
 
       my $sw = $SWITCH_DB{$sw_name};
@@ -1873,5 +1873,5 @@
          }
 
-      my $search = $OID_NUMBER{'NApoeState'} . ".$switch_port"; # Only NEXANS Switch and low port number
+      my $search = $OID_NUMBER{'NApoeState'} . ".$switch_port"; # Only NEXANS switch and low port number
 
       my $sw = $SWITCH_DB{$sw_name};
@@ -1911,5 +1911,5 @@
          }
 
-      my $search = $OID_NUMBER{'NApoeState'} . ".$switch_port"; # Only NEXANS Switch and low port number
+      my $search = $OID_NUMBER{'NApoeState'} . ".$switch_port"; # Only NEXANS switch and low port number
 
       my $sw = $SWITCH_DB{$sw_name};
@@ -1922,11 +1922,11 @@
 
       if (defined $result and $result->{$search} ne 'noSuchInstance') {
-         my $poe = $result->{$search} || 'empty';
-         $poe =~ s/8/enable/;
-         $poe =~ s/2/disable/;
-         printf "%s  %s poe %s\n", $sw_name, $switch_port, $poe;
+         my $poe_status = $result->{$search} || 'empty';
+         $poe_status =~ s/8/enable/;
+         $poe_status =~ s/2/disable/;
+         printf "%s  %s poe %s\n", $sw_name, $switch_port, $poe_status;
          }
       else {
-         print "Klask do not find PoE Status on switch $sw_name on port $switch_port\n";
+         print "Klask do not find PoE status on switch $sw_name on port $switch_port\n";
          }
 
@@ -2315,7 +2315,7 @@
 
    my $switch_name = shift @ARGV || q{};
-   my $port        = shift @ARGV || q{};
-
-   if ($switch_name eq q{} or $port eq q{}) {
+   my $port_hr     = shift @ARGV || q{};
+
+   if ($switch_name eq q{} or $port_hr eq q{}) {
       die "Usage: klask disable SWITCH_NAME PORT\n";
       }
@@ -2330,9 +2330,9 @@
 
    # Retrieve numeric port value
-   my $port_id = snmp_get_switchport_hr2id($session, normalize_port_human_readable($port), $verbose ? 'yes' : '');
-   die "Error : Port $port does not exist on switch $switch_name\n" if not $port_id =~ m/^\d+$/;
+   my $port_id = snmp_get_switchport_hr2id($session, normalize_port_human_readable($port_hr), $verbose ? 'yes' : '');
+   die "Error : Port $port_hr does not exist on switch $switch_name\n" if not $port_id =~ m/^\d+$/;
 
    my $search_portstatus = $OID_NUMBER{'portUpDown'} .'.'. $port_id;
-   print "Info: switch $switch_name port $port SNMP OID $search_portstatus\n" if $verbose;
+   print "Info: switch $switch_name port $port_hr SNMP OID $search_portstatus\n" if $verbose;
 
    my $result = $session->set_request(
@@ -2360,7 +2360,7 @@
 
    my $switch_name = shift @ARGV || q{};
-   my $port        = shift @ARGV || q{};
-
-   if ($switch_name eq q{} or $port eq q{}) {
+   my $port_hr     = shift @ARGV || q{};
+
+   if ($switch_name eq q{} or $port_hr eq q{}) {
       die "Usage: klask disable SWITCH_NAME PORT\n";
       }
@@ -2375,9 +2375,9 @@
 
    # Retrieve numeric port value
-   my $port_id = snmp_get_switchport_hr2id($session, normalize_port_human_readable($port), $verbose ? 'yes' : '');
-   die "Error : Port $port does not exist on switch $switch_name\n" if not $port_id =~ m/^\d+$/;
+   my $port_id = snmp_get_switchport_hr2id($session, normalize_port_human_readable($port_hr), $verbose ? 'yes' : '');
+   die "Error : Port $port_hr does not exist on switch $switch_name\n" if not $port_id =~ m/^\d+$/;
 
    my $search_portstatus = $OID_NUMBER{'portUpDown'} .'.'. $port_id;
-   print "Info: switch $switch_name port $port SNMP OID $search_portstatus\n" if $verbose;
+   print "Info: switch $switch_name port $port_hr SNMP OID $search_portstatus\n" if $verbose;
 
    my $result = $session->set_request(
@@ -2403,7 +2403,7 @@
 
    my $switch_name = shift @ARGV || q{};
-   my $port        = shift @ARGV || q{};
-
-   if ($switch_name eq q{} or $port eq q{}) {
+   my $port_hr     = shift @ARGV || q{};
+
+   if ($switch_name eq q{} or $port_hr eq q{}) {
       die "Usage: klask status SWITCH_NAME PORT\n";
       }
@@ -2418,9 +2418,9 @@
 
    # Retrieve numeric port value
-   my $port_id = snmp_get_switchport_hr2id($session, normalize_port_human_readable($port), $verbose ? 'yes' : '');
-   die "Error : Port $port does not exist on switch $switch_name\n" if not $port_id =~ m/^\d+$/;
+   my $port_id = snmp_get_switchport_hr2id($session, normalize_port_human_readable($port_hr), $verbose ? 'yes' : '');
+   die "Error : Port $port_hr does not exist on switch $switch_name\n" if not $port_id =~ m/^\d+$/;
 
    my $search_portstatus = $OID_NUMBER{'portUpDown'} .'.'. $port_id;
-   print "Info: switch $switch_name port $port ($port_id) SNMP OID $search_portstatus\n" if $verbose;
+   print "Info: switch $switch_name port $port_hr ($port_id) SNMP OID $search_portstatus\n" if $verbose;
 
    my $result = $session->get_request(
